#!/bin/sh

FREETYPE_CFLAGS=`freetype-config --cflags`
FREETYPE_LIBS=`freetype-config --libs`
OB_LIBS=`pkg-config obrender-3.0 --libs`
OB_CFLAGS=`pkg-config obrender-3.0 --cflags`
PY_FLAGS="-fpic -shared -I/usr/include/python2.4"
IMLIB2_CFLAGS=`imlib2-config --cflags`
IMLIB2_LIBS=`imlib2-config --libs`
DEFS="-DHAVE_XFT=1"

gcc $FREETYPE_CFLAGS $FREETYPE_LIBS $OB_CFLAGS $OB_LIBS $PY_FLAGS \
$IMLIB2_CFLAGS $IMLIB2_LIBS $DEFS \
-I./openbox ppmodule.c -o ppmodule.so || exit 1

exit 0
