import fileinput, os, sys
from distutils.core import setup
from distutils import sysconfig


files = ["COPYING", "README", "ppicon.png", "pypanelrc", "pager1.png", "pager2.png"]
install_dir = sysconfig.get_python_lib() + "/pypanel"

if os.system("sh compile.sh") == 0:
    setup(name             = "PyPanel",
          author           = "Jon Gelo",
          author_email     = "ziljian@users.sourceforge.net",
          version          = "2.4",
          license          = "GPL",
          platforms        = "POSIX",
          description      = "Lightweight panel/taskbar for X11 Window Managers",
          long_description = "See README for more information",
          url              = "http://pypanel.sourceforge.net",
          data_files       = [(install_dir, files), (sysconfig.get_python_lib(), ["ppmodule.so"])],
          scripts          = ["pypanel"]
         )

